/**
 * React mixin set of apeman.
 * @module apeman-react-mixins
 */

'use strict'

let d = (module) => module.default || module

module.exports = {
  get ApEnvMixin () { return d(require('./ap_env_mixin')) },
  get ApExceptionMixin () { return d(require('./ap_exception_mixin')) },
  get ApFlushMixin () { return d(require('./ap_flush_mixin')) },
  get ApFormMixin () { return d(require('./ap_form_mixin')) },
  get ApHistoryMixin () { return d(require('./ap_history_mixin')) },
  get ApLayoutMixin () { return d(require('./ap_layout_mixin')) },
  get ApLocaleMixin () { return d(require('./ap_locale_mixin')) },
  get ApOutsideMixin () { return d(require('./ap_outside_mixin')) },
  get ApPageMixin () { return d(require('./ap_page_mixin')) },
  get ApPureMixin () { return d(require('./ap_pure_mixin')) },
  get ApResizeMixin () { return d(require('./ap_resize_mixin')) },
  get ApScrollMixin () { return d(require('./ap_scroll_mixin')) },
  get ApServerMixin () { return d(require('./ap_server_mixin')) },
  get ApShowMixin () { return d(require('./ap_show_mixin')) },
  get ApSideMixin () { return d(require('./ap_side_mixin')) },
  get ApSpinMixin () { return d(require('./ap_spin_mixin')) },
  get ApStackMixin () { return d(require('./ap_stack_mixin')) },
  get ApToastMixin () { return d(require('./ap_toast_mixin')) },
  get ApTouchMixin () { return d(require('./ap_touch_mixin')) },
  get ApUUIDMixin () { return d(require('./ap_u_u_i_d_mixin')) },
  get ApViewMixin () { return d(require('./ap_view_mixin')) }
}
