/**
 * Test case for apBusyMixin.
 * Runs with mocha.
 */
'use strict'

const ApBusyMixin = require('../lib/ap_busy_mixin.js').default
const assert = require('assert')
const React = require('react')
const ReactDOM = require('react-dom/server')
const co = require('co')

describe('ap-busy-mixin', () => {
  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Ap busy mixin', () => co(function * () {
    let MockClass = React.createClass({
      mixins: [
        ApBusyMixin
      ],
      render () {
        const s = this
        return React.createElement('div', {})
      },
      componentWillMount () {
        const s = this
        assert.ok(!s.isBusy())
        s.setBusy(true)
        assert.ok(s.isBusy())
      }
    })
    let root = React.createElement(MockClass, {}, null)
    let html = ReactDOM.renderToString(root)
    assert.ok(html)
  }))
})

/* global describe, before, after, it */
