/**
 * Test case for apOutsideMixin.
 * Runs with mocha.
 */
'use strict'

const ApOutsideMixin = require('../lib/ap_outside_mixin.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-outside-mixin', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap outside mixin', (done) => {

    const MockClass = React.createClass({
      mixins: [
        ApOutsideMixin
      ],
      render () {
        const s = this
        return React.createElement('div', {},
          s.props.children
        )
      },
      componentWillMount () {
        const s = this
      }
    })
    let elm = React.createElement(MockClass, {})
    let root = React.createElement('div', {}, elm)
    let html = ReactDOM.renderToString(root)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
