/**
 * Test case for apPageMixin.
 * Runs with mocha.
 */
'use strict'

const ApPageMixin = require('../lib/ap_page_mixin.js').default
const ApLocaleMixin = require('../lib/ap_locale_mixin.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-page-mixin', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap page mixin', (done) => {
    let MockClass = React.createClass({
      mixins: [
        ApPageMixin,
        ApLocaleMixin
      ],
      render () {
        return React.createElement('div', {})
      },
      componentWillMount () {
        const s = this
        s.registerLocale({})
      },
      pageStackViewDidPush() {

      },
      pageStackViewDidPop() {

      },
      pageName: 'hoge'
    })
    let root = React.createElement(MockClass),
      html = ReactDOM.renderToString(root)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
