/**
 * Test case for apPureMixin.
 * Runs with mocha.
 */
'use strict'

const ApPureMixin = require('../lib/ap_pure_mixin.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-pure-mixin', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap pure mixin', (done) => {
    const MockClass = React.createClass({
      mixins: [
        ApPureMixin
      ],
      render () {
        return React.createElement('div', {})
      }
    })
    let root = React.createElement(MockClass, {})
    let html = ReactDOM.renderToString(root)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
