/**
 * Test case for apToastMixin.
 * Runs with mocha.
 */
'use strict'

const ApToastMixin = require('../lib/ap_toast_mixin.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const Toaster = require('apeman-react-toast/lib/toasting/toaster')
const assert = require('assert')

describe('ap-toast-mixin', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap toast mixin', (done) => {
    const MockClass = React.createClass({
      mixins: [
        ApToastMixin
      ],
      render () {
        const s = this
        return React.createElement('div', {})
      },
      componentWillMount () {
        const s = this
        s.registerToaster(new (Toaster.default || Toaster)({}))
        s.toast('hoge')
      }
    })

    let root = React.createElement(MockClass)
    let html = ReactDOM.renderToString(root)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
