/**
 * Test case for apTouchMixin.
 * Runs with mocha.
 */
'use strict'

const ApTouchMixin = require('../lib/ap_touch_mixin.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-touch-mixin', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap touch mixin', (done) => {

    const MockClass = React.createClass({
      mixins: [
        ApTouchMixin
      ],
      render () {
        const s = this
        return React.createElement('div', {}
        )
      }
    })
    let root = React.createElement(MockClass, {
      onTap() {
      }
    })
    let html = ReactDOM.renderToString(root)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
